import * as i0 from '@angular/core';
import { EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from 'ng-inline-svg-2';
import { InlineSVGModule } from 'ng-inline-svg-2';

class SuiButtonComponent {
    constructor() {
        this.ariaLabel = 'button';
        this.disabled = false;
        this.tabLevel = '0';
        this.callBack = new EventEmitter();
        this.title = 'button';
        this.color = '';
        this.size = '';
        this.class = '';
        this.fullWidth = false;
        this.iconType = 'cross';
        this.buttonSize = '';
        this.buttonColor = '';
        this.buttonBaseStyles = 'px-6 font-medium text-center rounded-lg duration-300;';
        this.iconSize = '';
        this.buttonWidth = '';
    }
    calculateWidth(fullWidth) {
        if (fullWidth == true) {
            return this.buttonWidth = 'w-full';
        }
        else {
            return this.buttonWidth = '';
        }
    }
    calculateSize(size) {
        if (size == 'small') {
            return (this.buttonSize =
                'py-1.5 text-sm leading-normal ' + this.buttonBaseStyles);
        }
        else if (size == 'medium') {
            return (this.buttonSize = 'py-2 text-md ' + this.buttonBaseStyles);
        }
        else if (size == 'large') {
            return (this.buttonSize = 'py-3 ' + this.buttonBaseStyles);
        }
        else {
            return (this.buttonSize = 'py-2 text-md ' + this.buttonBaseStyles);
        }
    }
    calculateColor(color) {
        if (color === 'primary') {
            return (this.buttonColor =
                'text-light-c1 dark:text-dark-c1 bg-light-c6 dark:bg-dark-c6 hover:bg-alerts-hover-primary hover:dark:bg-alerts-hover-primary2');
        }
        else if (color === 'ghost') {
            return (this.buttonColor =
                'text-light-c5 dark:text-dark-c5 border border-light-c4_10 dark:border-dark-c4_10 hover:bg-light-c2 hover:dark:bg-dark-c2');
        }
        else if (color === 'empty') {
            return (this.buttonColor =
                'text-light-c5 dark:text-dark-c5 hover:bg-light-c2 hover:dark:bg-dark-c2');
        }
        else if (color === 'success') {
            return (this.buttonColor =
                'text-alerts-success-text bg-alerts-success-background hover:bg-alerts-hover-success');
        }
        else if (color === 'info') {
            return (this.buttonColor =
                'text-alerts-info-text bg-alerts-info-background hover:bg-alerts-hover-info');
        }
        else if (color === 'danger') {
            return (this.buttonColor =
                'text-alerts-danger-text bg-alerts-danger-background hover:bg-alerts-hover-danger');
        }
        else if (color === 'warning') {
            return (this.buttonColor =
                'text-alerts-warning-text bg-alerts-warning-background hover:bg-alerts-hover-warning');
        }
        else {
            return (this.buttonColor =
                'text-light-c1 dark:text-dark-c1 bg-light-c6 dark:bg-dark-c6 hover:bg-light-c2 hover:dark:bg-dark-c2 hover:bg-alerts-hover-primary');
        }
    }
    calculateIconSize(size) {
        if (size == 'small') {
            return (this.iconSize = 'h-2 w-2');
        }
        else if (size == 'medium') {
            return (this.iconSize = 'h-4 w-4');
        }
        else if (size == 'large') {
            return (this.iconSize = 'h-6 w-6');
        }
        else {
            return (this.iconSize = 'h-8 w-8');
        }
    }
    ngOnInit() { }
}
SuiButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiButtonComponent, selector: "sui-button", inputs: { ariaLabel: "ariaLabel", disabled: "disabled", tabLevel: "tabLevel", title: "title", color: "color", size: "size", class: "class", fullWidth: "fullWidth", iconType: "iconType" }, outputs: { callBack: "callBack", buttonWidth: "buttonWidth" }, ngImport: i0, template: "<button [ngClass]=\"[calculateSize(size), calculateColor(color), calculateWidth(fullWidth), class]\">\n\t<div class=\"flex items-center\">\n\t\t<!-- <div [ngIf]='iconType' class=\"mr-2\">\n\t\t\t<sui-icon type='{{iconType}}' color={{buttonColor}} size={{buttonSize}}></sui-icon>\n\t\t</div> -->\n\t\t{{title}}\n\t</div>\n</button>", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-button', template: "<button [ngClass]=\"[calculateSize(size), calculateColor(color), calculateWidth(fullWidth), class]\">\n\t<div class=\"flex items-center\">\n\t\t<!-- <div [ngIf]='iconType' class=\"mr-2\">\n\t\t\t<sui-icon type='{{iconType}}' color={{buttonColor}} size={{buttonSize}}></sui-icon>\n\t\t</div> -->\n\t\t{{title}}\n\t</div>\n</button>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { ariaLabel: [{
                type: Input
            }], disabled: [{
                type: Input
            }], tabLevel: [{
                type: Input
            }], callBack: [{
                type: Output
            }], title: [{
                type: Input
            }], color: [{
                type: Input
            }], size: [{
                type: Input
            }], class: [{
                type: Input
            }], fullWidth: [{
                type: Input
            }], iconType: [{
                type: Input
            }], buttonWidth: [{
                type: Output
            }] } });

class SuiIconsComponent {
    constructor() {
        this.iconColor = '';
        this.iconSize = '';
        this.iconHoverColor = '';
        this.type = '';
        this.size = '';
        this.color = '';
        this.hoverColor = '';
    }
    calculateType(type) {
        return `./assets/icons/${type}.svg`;
    }
    calculateColor(color) {
        if (color === 'muted') {
            return (this.iconColor = 'fill-light-c4 dark:fill-dark-c4');
        }
        else if (color === 'text') {
            return (this.iconColor = 'fill-light-c5 dark:fill-dark-c5');
        }
        else if (color === 'danger') {
            return (this.iconColor = 'fill-alerts-danger-text');
        }
        else if (color === 'success') {
            return (this.iconColor = 'fill-alerts-success-text');
        }
        else if (color === 'info') {
            return (this.iconColor = 'fill-alerts-info-text');
        }
        else if (color === 'warning') {
            return (this.iconColor = 'fill-alerts-warning-text');
        }
        else if (color === 'primary') {
            return (this.iconColor = 'fill-light-c6 dark:fill-dark-c6');
        }
        else {
            return (this.iconColor = 'fill-light-c5 dark:fill-dark-c5');
        }
    }
    calculateHoverColor(hoverColor) {
        if (hoverColor === 'muted') {
            return (this.iconHoverColor =
                'hover:fill-light-c4 dark:hover:fill-dark-c4');
        }
        else if (hoverColor === 'text') {
            return (this.iconHoverColor =
                'hover:fill-light-c5 dark:hover:fill-dark-c5');
        }
        else if (hoverColor === 'danger') {
            return (this.iconHoverColor = 'hover:fill-alerts-danger-text');
        }
        else if (hoverColor === 'success') {
            return (this.iconHoverColor = 'hover:fill-alerts-success-text');
        }
        else if (hoverColor === 'info') {
            return (this.iconHoverColor = 'hover:fill-alerts-info-text');
        }
        else if (hoverColor === 'warning') {
            return (this.iconHoverColor = 'hover:fill-alerts-warning-text');
        }
        else if (hoverColor === 'primary') {
            return (this.iconHoverColor =
                'hover:fill-light-c6 dark:hover:fill-dark-c6');
        }
        else {
            return (this.iconHoverColor =
                'hover:fill-light-c5 dark:hover:fill-dark-c5');
        }
    }
    calculateSize(size) {
        if (size == 'x-small') {
            return (this.iconSize = 'h-3.5 w-3.5');
        }
        else if (size == 'small') {
            return (this.iconSize = 'h-5 w-5');
        }
        else if (size == 'medium') {
            return (this.iconSize = 'h-6 w-6');
        }
        else if (size == 'large') {
            return (this.iconSize = 'h-8 w-8');
        }
        else if (size == 'x-large') {
            return (this.iconSize = 'h-10 w-10');
        }
        else if (size == 'xx-large') {
            return (this.iconSize = 'h-16 w-16');
        }
        else {
            return (this.iconSize = 'h-6 w-6');
        }
    }
    ngOnInit() { }
}
SuiIconsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiIconsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiIconsComponent, selector: "sui-icon", inputs: { type: "type", size: "size", color: "color", hoverColor: "hoverColor" }, ngImport: i0, template: "<div \n\taria-label=type\n\talt=type \n\t[inlineSVG]=calculateType(type)\n\t[ngClass]=\"[calculateSize(size), calculateColor(color), calculateHoverColor(hoverColor)]\">\n</div>", styles: [".x-small{height:.75rem;width:.75rem}.small{height:1rem;width:1rem}.medium{height:1.5rem;width:1.5rem}.large{height:2rem;width:2rem}.x-large{height:4rem;width:4rem}.solid{@apply fill-light-c5 dark:fill-dark-c5;}.muted{@apply fill-light-c4 dark:fill-dark-c4;}.primary{@apply fill-light-c6 dark:fill-dark-c6;}.danger{@apply fill-alerts-danger-text;}.success{@apply fill-alerts-success-text;}.info{@apply fill-alerts-info-text;}.warning{@apply fill-alerts-warning-text;}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.InlineSVGDirective, selector: "[inlineSVG]", inputs: ["inlineSVG", "resolveSVGUrl", "replaceContents", "prepend", "injectComponent", "cacheSVG", "setSVGAttributes", "removeSVGAttributes", "forceEvalStyles", "evalScripts", "fallbackImgUrl", "fallbackSVG", "onSVGLoaded"], outputs: ["onSVGInserted", "onSVGFailed"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-icon', template: "<div \n\taria-label=type\n\talt=type \n\t[inlineSVG]=calculateType(type)\n\t[ngClass]=\"[calculateSize(size), calculateColor(color), calculateHoverColor(hoverColor)]\">\n</div>", styles: [".x-small{height:.75rem;width:.75rem}.small{height:1rem;width:1rem}.medium{height:1.5rem;width:1.5rem}.large{height:2rem;width:2rem}.x-large{height:4rem;width:4rem}.solid{@apply fill-light-c5 dark:fill-dark-c5;}.muted{@apply fill-light-c4 dark:fill-dark-c4;}.primary{@apply fill-light-c6 dark:fill-dark-c6;}.danger{@apply fill-alerts-danger-text;}.success{@apply fill-alerts-success-text;}.info{@apply fill-alerts-info-text;}.warning{@apply fill-alerts-warning-text;}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }], size: [{
                type: Input
            }], color: [{
                type: Input
            }], hoverColor: [{
                type: Input
            }] } });

class SuiIconsModule {
}
SuiIconsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiIconsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsModule, declarations: [SuiIconsComponent], imports: [CommonModule, InlineSVGModule], exports: [SuiIconsComponent] });
SuiIconsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsModule, imports: [CommonModule, InlineSVGModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiIconsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SuiIconsComponent],
                    imports: [CommonModule, InlineSVGModule],
                    exports: [SuiIconsComponent]
                }]
        }] });

class SuiButtonModule {
}
SuiButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonModule, declarations: [SuiButtonComponent], imports: [CommonModule, SuiIconsModule], exports: [SuiButtonComponent] });
SuiButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonModule, imports: [CommonModule, SuiIconsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SuiButtonComponent],
                    imports: [CommonModule, SuiIconsModule],
                    exports: [SuiButtonComponent]
                }]
        }] });

class SuiHorizontalDivideComponent {
    constructor() {
        this.size = '';
    }
    calculateHeight(size) {
        if (size == 'xx-small') {
            return 'h-1';
        }
        else if (size == 'x-small') {
            return 'h-2';
        }
        else if (size == 'small') {
            return 'h-3';
        }
        else if (size == 'medium') {
            return 'h-4';
        }
        else if (size == 'large') {
            return 'h-6';
        }
        else if (size == 'x-large') {
            return 'h-8';
        }
        else if (size == 'largest') {
            return 'h-10';
        }
        else {
            return 'h-4';
        }
    }
    ngOnInit() { }
}
SuiHorizontalDivideComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiHorizontalDivideComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiHorizontalDivideComponent, selector: "sui-horizontal-divide", inputs: { size: "size" }, ngImport: i0, template: "<div [ngClass]=\"calculateHeight(size)\" class=\"border-b border-light-c4_10 dark:border-dark-c4_10\"></div>", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-horizontal-divide', template: "<div [ngClass]=\"calculateHeight(size)\" class=\"border-b border-light-c4_10 dark:border-dark-c4_10\"></div>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }] } });

class SuiHorizontalDivideModule {
}
SuiHorizontalDivideModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiHorizontalDivideModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideModule, declarations: [SuiHorizontalDivideComponent], imports: [CommonModule], exports: [SuiHorizontalDivideComponent] });
SuiHorizontalDivideModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiHorizontalDivideModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SuiHorizontalDivideComponent],
                    imports: [CommonModule],
                    exports: [SuiHorizontalDivideComponent]
                }]
        }] });

class SuiSpacerComponent {
    constructor() {
        this.size = '';
    }
    calculateHeight(size) {
        if (size == 'xx-small') {
            return 'h-1';
        }
        else if (size == 'x-small') {
            return 'h-2';
        }
        else if (size == 'small') {
            return 'h-3';
        }
        else if (size == 'medium') {
            return 'h-4';
        }
        else if (size == 'large') {
            return 'h-6';
        }
        else if (size == 'x-large') {
            return 'h-8';
        }
        else if (size == 'largest') {
            return 'h-10';
        }
        else {
            return 'h-4';
        }
    }
    ngOnInit() { }
}
SuiSpacerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiSpacerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiSpacerComponent, selector: "sui-spacer", inputs: { size: "size" }, ngImport: i0, template: "<div [ngClass]=\"calculateHeight(size)\"></div>", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-spacer', template: "<div [ngClass]=\"calculateHeight(size)\"></div>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }] } });

class SuiSpacerModule {
}
SuiSpacerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiSpacerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerModule, declarations: [SuiSpacerComponent], imports: [CommonModule], exports: [SuiSpacerComponent] });
SuiSpacerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiSpacerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SuiSpacerComponent],
                    imports: [CommonModule],
                    exports: [SuiSpacerComponent]
                }]
        }] });

class SuiTextComponent {
    constructor() {
        this.size = '';
        this.color = '';
        this.weight = '';
        this.fontTone = '';
        this.fontWeight = '';
    }
    calculateColor(color) {
        if (color == 'muted') {
            return (this.fontTone = 'text-light-c4 dark:text-dark-c4');
        }
        else if (color == 'danger') {
            return (this.fontTone = 'text-alerts-danger-text');
        }
        else if (color == 'success') {
            return (this.fontTone = 'text-alerts-success-text');
        }
        else if (color == 'info') {
            return (this.fontTone = 'text-alerts-info-text');
        }
        else if (color == 'warning') {
            return (this.fontTone = 'text-alerts-warning-text');
        }
        else {
            return (this.fontTone = 'text-light-c5 dark:text-dark-c5');
        }
    }
    calculateWeight(weight) {
        if (weight == 'bold') {
            return (this.fontWeight = 'font-bold');
        }
        else if (weight == 'semibold') {
            return (this.fontWeight = 'font-semibold');
        }
        else if (weight == 'medium') {
            return (this.fontWeight = 'font-medium');
        }
        else if (weight == 'light') {
            return (this.fontWeight = 'font-thin');
        }
        else if (weight == 'normal') {
            return (this.fontWeight = 'font-normal');
        }
        else {
            return (this.fontWeight = 'font-normal');
        }
    }
    calculateStyles(size) {
        if (size == 'small') {
            return this.fontWeight + ' text-sm leading-normal ' + this.fontTone;
        }
        else if (size == 'medium') {
            return this.fontWeight + ' text-md leading-normal ' + this.fontTone;
        }
        else if (size == 'large') {
            return this.fontWeight + ' text-lg leading-normal ' + this.fontTone;
        }
        else if (size == 'x-large') {
            return this.fontWeight + ' text-xl leading-normal ' + this.fontTone;
        }
        else {
            return this.fontWeight + ' text-md leading-normal ' + this.fontTone;
        }
    }
    ngOnInit() { }
}
SuiTextComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiTextComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiTextComponent, selector: "sui-text", inputs: { size: "size", color: "color", weight: "weight" }, ngImport: i0, template: "<p [ngClass]=\"[calculateStyles(size), calculateColor(color), calculateWeight(weight)]\"><ng-content></ng-content></p>", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-text', template: "<p [ngClass]=\"[calculateStyles(size), calculateColor(color), calculateWeight(weight)]\"><ng-content></ng-content></p>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }], color: [{
                type: Input
            }], weight: [{
                type: Input
            }] } });

class SuiTextModule {
}
SuiTextModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTextModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiTextModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiTextModule, declarations: [SuiTextComponent], imports: [CommonModule], exports: [SuiTextComponent] });
SuiTextModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTextModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTextModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    exports: [SuiTextComponent],
                    declarations: [SuiTextComponent],
                }]
        }] });

class SuiTitleComponent {
    constructor() {
        this.size = 'x-large';
        this.color = 'vibrant';
        this.tone = '';
        this.baseStyle = 'font-bold ' + this.tone;
    }
    calculateColor(color) {
        if (color == 'muted') {
            return (this.tone = 'text-light-c4 dark:text-dark-c4');
        }
        else {
            return (this.tone = 'text-light-c5 dark:text-dark-c5');
        }
    }
    calculateStyles(size) {
        if (size == 'xx-small') {
            return 'text-sm uppercase ' + this.baseStyle;
        }
        else if (size == 'x-small') {
            return 'text-md ' + this.baseStyle;
        }
        else if (size == 'small') {
            return 'text-lg ' + this.baseStyle;
        }
        else if (size == 'medium') {
            return 'text-xl ' + this.baseStyle;
        }
        else if (size == 'large') {
            return 'text-2xl ' + this.baseStyle;
        }
        else if (size == 'x-large') {
            return 'text-4xl ' + this.baseStyle;
        }
        else {
            return 'medium primary';
        }
    }
    ngOnInit() { }
}
SuiTitleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SuiTitleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.0.6", type: SuiTitleComponent, selector: "sui-title", inputs: { size: "size", color: "color" }, ngImport: i0, template: "<div [ngClass]=\"[calculateStyles(size), calculateColor(color)]\"><ng-content></ng-content></div>\n", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sui-title', template: "<div [ngClass]=\"[calculateStyles(size), calculateColor(color)]\"><ng-content></ng-content></div>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

class SuiTitleModule {
}
SuiTitleModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SuiTitleModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleModule, declarations: [SuiTitleComponent], imports: [CommonModule], exports: [SuiTitleComponent] });
SuiTitleModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.0.6", ngImport: i0, type: SuiTitleModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SuiTitleComponent],
                    imports: [CommonModule],
                    exports: [SuiTitleComponent]
                }]
        }] });

/*
 * Public API Surface of seedui
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SuiButtonComponent, SuiButtonModule, SuiHorizontalDivideComponent, SuiHorizontalDivideModule, SuiIconsComponent, SuiIconsModule, SuiSpacerComponent, SuiSpacerModule, SuiTextComponent, SuiTextModule, SuiTitleComponent, SuiTitleModule };
//# sourceMappingURL=gjones-seed-ui.mjs.map
